"""
List of standard footnote qualifiers.
This file is generated by scripts/fn_qualifiers_list_from_wiki.py,
do not edit it.
"""


FN_QUALIFIERS = {
    'a.': 'albo',
    'alb.': 'albański',
    'amer.': 'amerykański, amerykańskie',
    'anat.': 'anatomiczne',
    'ang.': 'angielski, angielskie',
    'antr.': 'antropologia, antropologiczny',
    'ar.': 'arabski',
    'archeol.': 'archeologia, archeologiczny',
    'archit.': 'architektura',
    'astr.': 'astronomia',
    'austr.': 'austriacki',
    'austral.': 'australijski',
    'B.': 'biernik',
    'białorus.': 'białoruski',
    'biol.': 'biologia, biologiczny',
    'blm': 'bez liczby mnogiej',
    'blp': 'bez liczby pojedynczej',
    'bot.': 'botanika',
    'bułg.': 'bułgarski',
    'C.': 'celownik',
    'celt.': 'celtycki',
    'chem.': 'chemiczny',
    'chiń.': 'chiński',
    'chrześc.': 'chrześcijański, chrześcijaństwo',
    'cz.': 'czas (gramatyczny)',
    'cz.przesz.': 'czas przeszły',
    'cz.przysz.': 'czas przyszły',
    'cz.ter.': 'czas teraźniejszy',
    'czas.': 'czasownik',
    'czes.': 'czeski',
    'D.': 'dopełniacz',
    'daw.': 'dawne',
    'dk': 'dokonane',
    'druk.': 'drukarstwo, drukowany',
    'dziec.': 'dziecięcy',
    'egip.': 'egipski',
    'ekon.': 'ekonomiczny',
    'elektr.': 'elektryczny',
    'etn.': 'etnografia, etniczny',
    'euf.': 'eufemizm',
    'film.': 'filmowy',
    'filoz.': 'filozoficzny',
    'fiń.': 'fiński',
    'fiz.': 'fizyka',
    'fizjol.': 'fizjologia',
    'fot.': 'fotografia, fotograficzny',
    'fr.': 'francuski',
    'fraz.': 'frazeologia, frazeologiczny',
    'fragm.': 'fragment',
    'genet.': 'genetyka, genetyczny',
    'geogr.': 'geografia, geograficzny',
    'geol.': 'geologia',
    'geom.': 'geometria',
    'gr.': 'grecki',
    'gw.': 'gwara, gwarowe',
    'hand.': 'handel, handlowy',
    'hebr.': 'hebrajski',
    'hind.': 'hinduski',
    'hist.': 'historia, historyczny',
    'hiszp.': 'hiszpański',
    'hol.': 'holenderski',
    'im.': 'imienia',
    'imiesł.': 'imiesłów, imiesłowowy',
    'in.': 'inne, inny',
    'inf.': 'informacja',
    'inform.': 'informatyka',
    'irl.': 'irlandzki',
    'iron.': 'ironicznie',
    'isl.': 'islandzki',
    'itd.': 'i tak dalej',
    'itp.': 'i tym podobne',
    'jap.': 'japoński',
    'jęz.': 'język, językowy, językoznawstwo',
    'kg': 'kilogram',
    'km': 'kilometr',
    'lit.': 'literacki, literatura',
    'lm': 'liczba mnoga',
    'łac.': 'łacina, łacińskie',
    'M.': 'mianownik',
    'm.': 'męski',
    'mat.': 'matematyka',
    'med.': 'medyczne',
    'meteor.': 'meteorologia, meteorologiczny',
    'min.': 'minuta',
    'm.in.': 'między innymi',
    'miner.': 'mineralogia',
    'mit.': 'mitologia',
    'mit. germ.': 'mitologia germańska',
    'mit. gr.': 'mitologia grecka',
    'mit. rzym.': 'mitologia rzymska',
    'mors.': 'morskie',
    'm.-os.': 'męskoosobowy',
    'Ms.': 'miejscownik',
    'muz.': 'muzyczny',
    'N.': 'narzędnik',
    'n.': 'nijaki',
    'ndk': 'niedokonany',
    'ndm': 'nieodmienny',
    'n.e.': 'nasza era',
    'nieos.': 'nieosobowy',
    'niem.': 'niemiecki',
    'norw.': 'norweski',
    'np.': 'na przykład',
    'obelż.': 'obelżywie',
    'odm.': 'odmienny',
    'ok.': 'około',
    'os.': 'osoba, osobowy',
    'płd.': 'południowy',
    'płn.': 'północny',
    'p.n.e.': 'przed naszą erą',
    'pocz.': 'początek',
    'poet.': 'poetyckie',
    'pogard.': 'pogardliwe',
    'pol.': 'polski',
    'polit.': 'polityczny',
    'poł.': 'połowa',
    'popr.': 'poprawnie',
    'por.': 'porównaj',
    'port.': 'portugalski',
    'posp.': 'pospolity',
    'pot.': 'potocznie',
    'praw.': 'prawo, prawnicze',
    'przen.': 'przenośnie',
    'przestarz.': 'przestarzałe',
    'przesz.': 'przeszły',
    'przym.': 'przymiotnik',
    'przysł.': 'przysłowiowy',
    'przysłów.': 'przysłówek',
    'przysz.': 'przyszły',
    'psychol.': 'psychologia, psychologiczny',
    'r.': 'rok',
    'r.m.': 'rodzaj męski',
    'r.n.': 'rodzaj nijaki',
    'r.ż.': 'rodzaj żeński',
    'reg.': 'regionalne',
    'rel.': 'religijny, religioznawstwo',
    'rodz.': 'rodzaj',
    'roln.': 'rolnictwo, rolniczy',
    'ros.': 'rosyjski',
    'rub.': 'rubasznie',
    'rum.': 'rumuński',
    'rzad.': 'rzadki',
    'rzecz.': 'rzeczownik',
    'rzym.': 'rzymski',
    'skand.': 'skandynawski',
    'skrót.': 'skrótowiec',
    'słowac.': 'słowacki',
    'socjol.': 'socjologiczny',
    'sport.': 'sportowy',
    'st.': 'stopień',
    'starop.': 'staropolskie',
    'staroż.': 'starożytny',
    'szt.': 'sztuka',
    'szwedz.': 'szwedzki',
    'śr.': 'środek, środkowy',
    'środ.': 'środowiskowy',
    'teatr.': 'teatralny',
    'techn.': 'techniczny',
    'temp.': 'temperatura',
    'ter.': 'teraźniejszy',
    'tur.': 'turecki',
    'tur.-tat.': 'turecko-tatarski',
    'tys.': 'tysiąc',
    'tzn.': 'to znaczy',
    'uczn.': 'uczniowski',
    'ukr.': 'ukraiński',
    'urb.': 'urbanistyka',
    'W.': 'wołacz',
    'w.': 'wiek',
    'węg.': 'węgierski',
    'wg': 'według',
    'wł.': 'włoski',
    'wojsk.': 'wojskowy',
    'wsch.': 'wschodni',
    'współ.': 'współcześnie',
    'wulg.': 'wulgarne',
    'wym.': 'wymawiaj',
    'zach.': 'zachodnie',
    'zdr.': 'zdrobnienie',
    'zgr.': 'zgrubienie',
    'zn.': 'znaczy, znaczenie',
    'zob.': 'zobacz',
    'zool.': 'zoologia',
    'zwł.': 'zwłaszcza',
    'ż.': 'żeński',
    'żart.': 'żartobliwie',
    'żegl.': 'żeglarskie',
    }
